{
  "header": "SDL_messagebox.h",
  "opaque_types": [],
  "typedefs": [],
  "function_pointers": [],
  "c_type_aliases": [],
  "enums": [
    {
      "name": "SDL_MessageBoxColorType",
      "values": [
        {
          "name": "SDL_MESSAGEBOX_COLOR_BACKGROUND"
        },
        {
          "name": "SDL_MESSAGEBOX_COLOR_TEXT"
        },
        {
          "name": "SDL_MESSAGEBOX_COLOR_BUTTON_BORDER"
        },
        {
          "name": "SDL_MESSAGEBOX_COLOR_BUTTON_BACKGROUND"
        },
        {
          "name": "SDL_MESSAGEBOX_COLOR_BUTTON_SELECTED"
        },
        {
          "name": "SDL_MESSAGEBOX_COLOR_COUNT",
          "comment": "Size of the colors array of SDL_MessageBoxColorScheme."
        }
      ]
    }
  ],
  "structs": [
    {
      "name": "SDL_MessageBoxButtonData",
      "fields": [
        {
          "name": "flags",
          "type": "SDL_MessageBoxButtonFlags"
        },
        {
          "name": "buttonID",
          "type": "int",
          "comment": "User defined button id (value returned via SDL_ShowMessageBox)"
        },
        {
          "name": "text",
          "type": "const char *",
          "comment": "The UTF-8 button text"
        }
      ]
    },
    {
      "name": "SDL_MessageBoxColor",
      "fields": [
        {
          "name": "r",
          "type": "Uint8"
        },
        {
          "name": "g",
          "type": "Uint8"
        },
        {
          "name": "b",
          "type": "Uint8"
        }
      ]
    },
    {
      "name": "SDL_MessageBoxColorScheme",
      "fields": [
        {
          "name": "colors",
          "type": "SDL_MessageBoxColor[SDL_MESSAGEBOX_COLOR_COUNT]"
        }
      ]
    },
    {
      "name": "SDL_MessageBoxData",
      "fields": [
        {
          "name": "flags",
          "type": "SDL_MessageBoxFlags"
        },
        {
          "name": "window",
          "type": "SDL_Window *",
          "comment": "Parent window, can be NULL"
        },
        {
          "name": "title",
          "type": "const char *",
          "comment": "UTF-8 title"
        },
        {
          "name": "message",
          "type": "const char *",
          "comment": "UTF-8 message text"
        },
        {
          "name": "numbuttons",
          "type": "int"
        },
        {
          "name": "buttons",
          "type": "const SDL_MessageBoxButtonData *"
        },
        {
          "name": "colorScheme",
          "type": "const SDL_MessageBoxColorScheme *",
          "comment": "SDL_MessageBoxColorScheme, can be NULL to use system settings"
        }
      ]
    }
  ],
  "unions": [],
  "flags": [
    {
      "name": "SDL_MessageBoxFlags",
      "underlying_type": "Uint32",
      "values": [
        {
          "name": "SDL_MESSAGEBOX_ERROR",
          "value": "0x00000010u",
          "comment": "error dialog"
        },
        {
          "name": "SDL_MESSAGEBOX_WARNING",
          "value": "0x00000020u",
          "comment": "warning dialog"
        },
        {
          "name": "SDL_MESSAGEBOX_INFORMATION",
          "value": "0x00000040u",
          "comment": "informational dialog"
        },
        {
          "name": "SDL_MESSAGEBOX_BUTTONS_LEFT_TO_RIGHT",
          "value": "0x00000080u",
          "comment": "buttons placed left to right"
        },
        {
          "name": "SDL_MESSAGEBOX_BUTTONS_RIGHT_TO_LEFT",
          "value": "0x00000100u",
          "comment": "buttons placed right to left"
        }
      ]
    },
    {
      "name": "SDL_MessageBoxButtonFlags",
      "underlying_type": "Uint32",
      "values": [
        {
          "name": "SDL_MESSAGEBOX_BUTTON_RETURNKEY_DEFAULT",
          "value": "0x00000001u",
          "comment": "Marks the default button when return is hit"
        },
        {
          "name": "SDL_MESSAGEBOX_BUTTON_ESCAPEKEY_DEFAULT",
          "value": "0x00000002u",
          "comment": "Marks the default button when escape is hit"
        }
      ]
    }
  ],
  "functions": [
    {
      "name": "SDL_ShowMessageBox",
      "return_type": "bool",
      "parameters": [
        {
          "name": "messageboxdata",
          "type": "const SDL_MessageBoxData *"
        },
        {
          "name": "buttonid",
          "type": "int *"
        }
      ]
    },
    {
      "name": "SDL_ShowSimpleMessageBox",
      "return_type": "bool",
      "parameters": [
        {
          "name": "flags",
          "type": "SDL_MessageBoxFlags"
        },
        {
          "name": "title",
          "type": "const char *"
        },
        {
          "name": "message",
          "type": "const char *"
        },
        {
          "name": "window",
          "type": "SDL_Window *"
        }
      ]
    }
  ]
}